Commit 5faaaac9 authored by Emmanuele Bassi's avatar Emmanuele Bassi

Check for a recent enough libmount

We need mnt_unref_table() in order to use libmount, but we also need to
keep the fallback code for installations of libmount without a
pkg-config file.

https://bugzilla.gnome.org/show_bug.cgi?id=782628
parent 9ba17d51
......@@ -1755,6 +1755,9 @@ PKG_CHECK_MODULES([LIBMOUNT], [mount >= 2.28], [have_libmount=yes], [have_libmou
AS_IF([ test $have_libmount = maybe ], [
glib_save_LIBS=$LIBS
AC_CHECK_HEADER([libmount/libmount.h], [:], [have_libmount=no])
# Check for a recent enough libmount
AC_CHECK_LIB([mount], [mnt_unref_table], [:], [have_libmount=no])
LIBS=$glib_save_LIBS
if test $have_libmount != no; then
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment